Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 226966 - CVE-2007-0238 StarCalc overflow
CVE-2007-0238 StarCalc overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openoffice.org (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
impact=important,source=openoffice,re...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-02 06:25 EST by Mark J. Cox
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2007-0033
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-22 06:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for 1.5 (852 bytes, patch)
2007-02-02 06:25 EST, Mark J. Cox
no flags Details | Diff
Patch for 2 (942 bytes, patch)
2007-02-02 06:26 EST, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0033 normal SHIPPED_LIVE Important: openoffice.org security update 2007-03-22 06:39:45 EDT

  None (edit)
Description Mark J. Cox 2007-02-02 06:25:52 EST
John Heasman discovered the StarCalc parser in OpenOffice 2.1 and earlier
contains an easily exploitable stack overflow (at least on the win32 version)
due to incorrect handling of the "Note" record.

If a user opens an untrusted StarCalc document it can potentially run arbitrary
attacker code supplied in the file.  This is therefore a serious issue.

No embargo date set
Comment 1 Mark J. Cox 2007-02-02 06:25:52 EST
Created attachment 147211 [details]
Patch for 1.5
Comment 2 Mark J. Cox 2007-02-02 06:26:57 EST
Created attachment 147212 [details]
Patch for 2
Comment 3 Caolan McNamara 2007-02-03 14:00:15 EST
RHEL-3: openoffice_org-1.1.2-37.2.0.EL3
RHEL-4: openoffice_org-1.1.5-9.6.0.EL4
RHEL-4: openoffice_org2-2.0.4-5.5.0
Comment 5 Caolan McNamara 2007-02-05 04:19:37 EST
no response with a date from CVE submitter, I *suspect* the same as the libwpd date.
Comment 9 Mark J. Cox 2007-03-22 04:01:36 EDT
well the embargo looks busted by http://lwn.net/Articles/227144/
removing our embargo
Comment 10 Red Hat Bugzilla 2007-03-22 06:40:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0033.html

Note You need to log in before you can comment on or make changes to this bug.